Bug 83302 - Enhancement request for adding a font
Enhancement request for adding a font
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Preston Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-01 18:29 EST by Ramani Arunachalam
Modified: 2014-03-16 22:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 15:52:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TSC_Avarangal TrueType font (Language - Tamil, Encoding - TSCII) (172.35 KB, application/octet-stream)
2003-02-01 18:36 EST, Ramani Arunachalam
no flags Details
TSC Avarangal fixed width truetype font (TSCII encoding) (168.34 KB, application/octet-stream)
2003-02-04 19:46 EST, Ramani Arunachalam
no flags Details

  None (edit)
Description Ramani Arunachalam 2003-02-01 18:30:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Hi,

Please add the attached GPL Tamil(ta) font to the next release of Redhat. I can
provide you more details about its license if you contact me at
ramani1976@yahoo.com.

Thanks,
Ramani

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Distribution doesn't contain this popular tamil font.

    

Additional info:
Comment 1 Ramani Arunachalam 2003-02-01 18:36:37 EST
Created attachment 89770 [details]
TSC_Avarangal TrueType font (Language - Tamil, Encoding - TSCII)
Comment 2 Bill Nottingham 2003-02-03 21:47:39 EST
It's too late at this point to be adding this, however, we can consider it for
future releases. Where is the upstream source of this font?
Comment 3 Ramani Arunachalam 2003-02-04 15:59:21 EST
Bill,

I don't understand what you mean by upstream source. I have attached its .ttf
file to this bug. Pls let me know what more you need. 

Thanks,
Ramani
Comment 4 Owen Taylor 2003-02-04 16:15:29 EST
In order to put a font into the distribution, we need to make
sure we have sufficient information to know that we have
legal rights to ship the font, and also to give credit to
the creators of the font.

Information we would like to have:

 - Who drew the font
 - Who owns the copyright on the font
 - Under what terms can the font be distributed
 - Is modification of the font allowed
 - Was the font based on any existing fonts or materials?
 - Are there any trademarks on the name of the font? (where
   did the name of the font come from?)

Having contact information for the creators of the font also
allows us to contact them if people report problems with the
font, or we want to check if there are updated versions of
the font.
 
Comment 5 Bill Nottingham 2003-02-04 16:47:23 EST
Attaching the font tells me nothing about who designed it, where it came from,
what its license is, where is the source of the glyphs, etc.
Comment 6 Ramani Arunachalam 2003-02-04 19:44:45 EST
Hi,

Here're the answers from the author of the font.
> - Who drew the font (contact info etc)
I, Sinnathurai Srivas (sisrivas@yahoo.com), drew it.
>  - Who owns the copyright on the font
Not copyrighted yet, but I own the rights. 
>  - Under what terms can the font be distributed
Free for Linux, distributed with GPL license.
>  - Is modification of the font allowed.
Yes, After discussing and obtaining permission from my 
self for specific requirements.
>  - Was the font based on any existing fonts or
materials?
It was based on my original font named TamilAvarangal 
which uses different encoding.
>  - Are there any trademarks on the name of the 
font? (where did the name of the font come from?)
There're no trademarks now and it's not registered. If there is 
any change, I'll inform. The name is obtained from the name of the village 
where i come from.

If you need the written/email permission for using it with GPL, please contact
him and he'll do the needful. I have also attached a fixed width font from the 
same author called TSC_AvarangalFxd (also available under GPL). Could you pls 
add it too?

Thanks much,
Ramani

Comment 7 Ramani Arunachalam 2003-02-04 19:46:20 EST
Created attachment 89850 [details]
TSC Avarangal fixed width truetype font (TSCII encoding)
Comment 8 Bill Nottingham 2005-03-01 15:52:22 EST
We currently have various indic fonts. Please open a new bug if they are not
sufficient for this.

Note You need to log in before you can comment on or make changes to this bug.